List lifecycle events related to a machine
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/lifecycle"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/lifecycle \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"audience": "customer",
"operation": "create",
"status": "requested",
"actor_kind": "user",
"metadata": {},
"machine_id": "<string>",
"snapshot_id": "<string>",
"source_machine_id": "<string>",
"target_machine_id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"error_code": "<string>",
"error_message": "<string>"
}
],
"offset": 123,
"limit": 123,
"has_more": true
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Machines
List lifecycle events related to a machine
Returns customer-visible lifecycle events where the machine appears as the primary, source, or target machine.
GET
/
v1
/
machines
/
{id}
/
lifecycle
List lifecycle events related to a machine
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/lifecycle"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/lifecycle \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"audience": "customer",
"operation": "create",
"status": "requested",
"actor_kind": "user",
"metadata": {},
"machine_id": "<string>",
"snapshot_id": "<string>",
"source_machine_id": "<string>",
"target_machine_id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"error_code": "<string>",
"error_message": "<string>"
}
],
"offset": 123,
"limit": 123,
"has_more": true
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Available options:
asc, desc Available options:
create, destroy, timeout_updated, timeout_expired, hibernate, snapshot_created, resume_from_snapshot, fork, reconcile Available options:
requested, succeeded, failed Include events with occurred_at >= from using an RFC3339 timestamp.
Include events with occurred_at <= to using an RFC3339 timestamp.